## quick-arrays 1.0-2

=== Makefile ===
all:
	lisp -batch -load build.lisp

clean:
	rm *.x86f *.lbytef ; true

install:
	install -g root -o root -m 0644 quick-arrays.x86f  $(DESTDIR)/usr/lib/cmucl/subsystems/quick-arrays-library.x86f

=== debian/changelog ===
quick-arrays (1.0-2) unstable; urgency=low

  * New cmucl release.
  * Now dh-helper based.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Oct 1998 23:20:43 +0200

quick-arrays (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 29 May 1998 10:15:37 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "pvaneynd@debian.org"
End:

=== debian/control ===
Source: quick-arrays
Section: non-free/libs
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 2.4.0.0

Package: quick-arrays
Architecture: i386
Depends: cmucl (>= 2.3.4)
Description: A library offering less flexible, but faster arrays.
 This library offers a replacement for the standard array-type
 in Lisp. It has less features then the standard type, but it's
 a little faster.

## quick-arrays 1.0-3

=== debian/changelog ===
quick-arrays (1.0-3) unstable; urgency=low

  * Went to FSH.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  8 Oct 1999 07:44:54 +0200

=== debian/control ===
Source: quick-arrays
Section: non-free/libs
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.0.0.0

Package: quick-arrays
Architecture: i386
Depends: cmucl (>= 2.4.17)
Description: A library offering less flexible, but faster arrays.
 This library offers a replacement for the standard array-type
 in Lisp. It has less features then the standard type, but it's
 a little faster.

## quick-arrays 1.0-5

=== Makefile ===
install:
	install --owner=root --group=root --mode=644 quick-arrays.system $(DESTDIR)/usr/share/common-lisp/systems/
	cp -r Makefile  README  quick-arrays.lisp   \
		$(DESTDIR)/usr/share/common-lisp/repositories/quick-arrays

=== debian/changelog ===
quick-arrays (1.0-5) unstable; urgency=low

  * Rebuild with new dpkg-dev :-(.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Jul 2001 08:05:57 +0200

quick-arrays (1.0-4) unstable; urgency=low

  * Now with common-lisp-controller.
  * Now free! Thanks to Edward Betts. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 24 Jun 2001 22:33:17 +0200

=== debian/control ===
Source: quick-arrays
Section: libs
Priority: optional
Build-Depends: debhelper (>= 3.0.6)
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.1.0.0

Package: quick-arrays
Architecture: all
Depends: common-lisp-controller
Description: A library offering less flexible, but faster arrays.
 This library offers a replacement for the standard array-type
 in Lisp. It has less features then the standard type, but it's
 a little faster.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	# make CFLAGS="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	# -$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
